#### D.4.18.6 intersectMon

Procedure from library `monomialideal.lib` (see monomialideal_lib).

Usage:
  intersectMon (I,J); I,J ideals.

Return:
  an ideal, the intersection of I and J.
  (it returns -1 if I or J are not monomial ideals)

Assume:
  I,J are monomial ideals of the basering.

Note:
  the minimal monomial generating set is returned.

Example:

    LIB "monomialideal.lib";
    ring R = 0,(w,x,y,z,t),lp;
    ideal I = w^3*x*y,w*x*y*z*t,x^2*y^2*z^2,x^2*z^4*t^3,y^3*z;
    ideal J = w*x, x^2, y*z*t, y^5*t;
    intersectMon (I,J);
    ==> _[1]=y3zt
    ==> _[2]=wxyzt
    ==> _[3]=w3xy
    ==> _[4]=x2y2z2
    ==> _[5]=x2y3z
    ==> _[6]=wxy3z
    ==> _[7]=x2z4t3

User manual for Singular version 4.4.1, 2025, generated by texi2html.